Skip to main content
Get Job Family
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families/{job_family_external_id} \
  --header 'Authorization: Bearer <token>'
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "job_family_name": "Software Engineer",
  "last_updated": "2021-01-21T17:32:28Z",
  "job_family_group": "IT & Engineering",
  "active": true,
  "custom_properties": [
    {
      "property_name": "creation_date",
      "property_value": "2020-03-07"
    },
    {
      "property_name": "language",
      "property_value": "de"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

job_family_external_id
string
required

The unique Job Family ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Query Parameters

include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
custom_properties
Example:
["custom_properties"]

Response

OK

Default structure for Job Family.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

job_family_name
string
required

Name of the Job Family.

Required string length: 1 - 255
Example:

"Software Engineer"

last_updated
string<date-time>
required

Timestamp of the last update to this entity.

Example:

"2021-01-21T17:32:28Z"

job_family_group
string

Name of the Job Family Group.

Required string length: 1 - 255
Example:

"IT & Engineering"

active
boolean | null
default:true

The Job Family will not be used in matching if active is false. This is useful when a Job Family is being phased out.

Example:

true

custom_properties
object[]

A list of properties for a given entity. Property values are either strings or numbers.

Example:
[
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]